## Описание

`uploadtodalas` — это простой пакет для загрузки файлов на сервис Dalas. Он поддерживает асинхронную и синхронную загрузку файлов. Пакет включает методы как для панелей, так и для простых пользователей.

## Установка

Вы можете установить этот пакет с помощью pip:

Для Windows:
```bash
pip install uploadtodalas
```

Для Linux:
```bash
pip3 install uploadtodalas
```

## Пример использования

Ниже приведены примеры использования различных функций, доступных в пакете `uploadtodalas`.

### Инициализация клиента

Для начала работы необходимо создать экземпляр класса `UploadToDalas` и передать API ключ (если он у вас есть):

```python
from uploadtodalas import UploadToDalas

client = UploadToDalas(api_key='ваш_api_ключ')  # API ключ необходим только для панелей
```

### Асинхронная загрузка файла

```python
import asyncio

async def main():
    await client.AsyncUploadToDalas(file_path='/path/to/your/file.zip', seller_id=1111, shedul_in_hours=0)

asyncio.run(main())
```

### Синхронная загрузка файла

```python
client.SyncUploadToDalas(file_path='/path/to/your/file.zip', seller_id=1111, shedul_in_hours=0)
```

### Пример использования методов для панелей

```python
import asyncio

async def main():
    seller_id = await client.PannelAsyncGetId(telegram_id=123456789)
    if seller_id:
        await client.PannelAsyncUpload(file_path='/path/to/your/file.zip', seller_id=seller_id, shedul_in_hours=0, strict=True)

asyncio.run(main())
```